For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETGet personal information by id
      • GETGet worker profile by external ID
      • PATCHUpdate personal information
      • PATCHUpdate personal information by external id
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsPersonal Information

Update personal information by external id

PATCH
/people/external/:worker_id/personal
PATCH
/rest/v2/people/external/:worker_id/personal
$curl -X PATCH https://api.letsdeel.com/rest/v2/people/external/96768afd-cdbd-4941-be60-dc70be36983d/personal \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {
> "data": {
> "date_of_birth": "1985-07-23",
> "personal_email": "jane.smith@example.com",
> "preferred_name": "Jane",
> "legal_last_name": "Smith",
> "legal_first_name": "Janet"
> }
> }
>}'
1{}

Partially updates a worker’s personal information using an external identifier. Only fields included in the request body are modified. Token scopes: people:write

Was this page helpful?
Previous

Activate the 401k integration for the legal entity

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

worker_idstringRequired

Unique identifier for a worker (External ID).

Request

This endpoint expects an object.
dataobjectRequired

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication